Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jta.platform.internal
Class NoJtaPlatform

    java.lang.Object
      org.hibernate.service.jta.platform.internal.NoJtaPlatform

All Implemented Interfaces:
  Serializable, JtaPlatform, Service

    public class NoJtaPlatform

extends Object
implements JtaPlatform

The non-configured form of JTA platform. This is what is used if none was set up.

See Also:
  Serialized Form

Constructor Summary
`NoJtaPlatform()`

Method Summary
`boolean` | `canRegisterSynchronization()` Can we currently register a `Synchronization`?
`int` | `getCurrentStatus()` Obtain the current transaction status using whatever means is preferred for this platform
`Object` | `getTransactionIdentifier(Transaction transaction)` Determine an identifier for the given transaction appropriate for use in caching/lookup usages.
`void` | `registerSynchronization(Synchronization synchronization)` Register a JTA `Synchronization` in the means defined by the platform.
`TransactionManager` | `retrieveTransactionManager()` Locate the `TransactionManager`
`UserTransaction` | `retrieveUserTransaction()` Locate the `UserTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoJtaPlatform

    public NoJtaPlatform()

Method Detail

### retrieveTransactionManager

    public TransactionManager retrieveTransactionManager()

  Description copied from interface: `JtaPlatform`
  Locate the `TransactionManager`

  Specified by:
    `retrieveTransactionManager` in interface `JtaPlatform`
  Returns:
    The `TransactionManager`

### retrieveUserTransaction

    public UserTransaction retrieveUserTransaction()

  Description copied from interface: `JtaPlatform`
  Locate the `UserTransaction`

  Specified by:
    `retrieveUserTransaction` in interface `JtaPlatform`
  Returns:
    The `UserTransaction`

### getTransactionIdentifier

    public Object getTransactionIdentifier(Transaction transaction)

  Description copied from interface: `JtaPlatform`
  Determine an identifier for the given transaction appropriate for use in caching/lookup usages.

  Generally speaking the transaction itself will be returned here. This method was added specifically for use in WebSphere and other unfriendly JEE containers (although WebSphere is still the only known such brain-dead, sales-driven impl).

  Specified by:
    `getTransactionIdentifier` in interface `JtaPlatform`
  Parameters:
    `transaction` - The transaction to be identified.
  Returns:
    An appropriate identifier

### registerSynchronization

    public void registerSynchronization(Synchronization synchronization)

  Description copied from interface: `JtaPlatform`
  Register a JTA `Synchronization` in the means defined by the platform.

  Specified by:
    `registerSynchronization` in interface `JtaPlatform`
  Parameters:
    `synchronization` - The synchronization to register

### canRegisterSynchronization

    public boolean canRegisterSynchronization()

  Description copied from interface: `JtaPlatform`
  Can we currently register a `Synchronization`?

  Specified by:
    `canRegisterSynchronization` in interface `JtaPlatform`
  Returns:
    True if registering a `Synchronization` is currently allowed; false otherwise.

### getCurrentStatus

    public int getCurrentStatus()
                         throws SystemException

  Description copied from interface: `JtaPlatform`
  Obtain the current transaction status using whatever means is preferred for this platform

  Specified by:
    `getCurrentStatus` in interface `JtaPlatform`
  Returns:
    The current status.
  Throws:
    `SystemException` - Indicates a problem access the underlying status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.